diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lr-wpan/model/lr-wpan-net-device.h ns-3.44/src/lr-wpan/model/lr-wpan-net-device.h
--- ns-3.43/src/lr-wpan/model/lr-wpan-net-device.h	2024-10-09 16:41:09.900656000 -0700
+++ ns-3.44/src/lr-wpan/model/lr-wpan-net-device.h	2025-03-09 16:55:49.419371100 -0700
@@ -13,8 +13,8 @@
 
 #include "lr-wpan-mac.h"
 
-#include <ns3/net-device.h>
-#include <ns3/traced-callback.h>
+#include "ns3/net-device.h"
+#include "ns3/traced-callback.h"
 
 namespace ns3
 {
@@ -29,9 +29,9 @@
 class LrWpanCsmaCa;
 
 /**
- * \ingroup lr-wpan
+ * @ingroup lr-wpan
  *
- * \brief Network layer to device interface.
+ * @brief Network layer to device interface.
  *
  * The ns3::NetDevice includes IP-specific API such as GetMulticast(), Send()
  * and SendTo() methods, which do not map well the the 802.15.4 MAC MCPS
@@ -46,7 +46,7 @@
     /**
      * Get the type ID.
      *
-     * \return the object TypeId
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -68,21 +68,21 @@
     /**
      * Set the MAC to be used by this NetDevice.
      *
-     * \param mac the MAC to be used
+     * @param mac the MAC to be used
      */
     void SetMac(Ptr<LrWpanMac> mac);
 
     /**
      * Set the PHY to be used by the MAC and this NetDevice.
      *
-     * \param phy the PHY to be used
+     * @param phy the PHY to be used
      */
     void SetPhy(Ptr<LrWpanPhy> phy);
 
     /**
      * Set the CSMA/CA implementation to be used by the MAC and this NetDevice.
      *
-     * \param csmaca the CSMA/CA implementation to be used
+     * @param csmaca the CSMA/CA implementation to be used
      */
     void SetCsmaCa(Ptr<LrWpanCsmaCa> csmaca);
 
@@ -90,28 +90,28 @@
      * Set the channel to which the NetDevice, and therefore the PHY, should be
      * attached to.
      *
-     * \param channel the channel to be used
+     * @param channel the channel to be used
      */
     void SetChannel(Ptr<SpectrumChannel> channel);
 
     /**
      * Get the MAC used by this NetDevice.
      *
-     * \return the MAC object
+     * @return the MAC object
      */
     Ptr<LrWpanMac> GetMac() const;
 
     /**
      * Get the PHY used by this NetDevice.
      *
-     * \return the PHY object
+     * @return the PHY object
      */
     Ptr<LrWpanPhy> GetPhy() const;
 
     /**
      * Get the CSMA/CA implementation used by this NetDevice.
      *
-     * \return the CSMA/CA implementation object
+     * @return the CSMA/CA implementation object
      */
     Ptr<LrWpanCsmaCa> GetCsmaCa() const;
 
@@ -121,12 +121,12 @@
     Ptr<Channel> GetChannel() const override;
     /**
      * This method indirects to LrWpanMac::SetShortAddress ()
-     * \param address The short address.
+     * @param address The short address.
      */
     void SetAddress(Address address) override;
     /**
      * This method indirects to LrWpanMac::SetShortAddress ()
-     * \returns The short address.
+     * @returns The short address.
      */
     Address GetAddress() const override;
 
@@ -135,19 +135,19 @@
      * which the device or coordinator is associated. When assigning a short address
      * the extended address must also be present.
      *
-     * \param panId The id of the PAN used by the coordinator device.
+     * @param panId The id of the PAN used by the coordinator device.
      *
-     * \param coordExtAddr The coordinator extended address (EUI-64) through which this
+     * @param coordExtAddr The coordinator extended address (EUI-64) through which this
      *                     device or coordinator is associated.
      *
-     * \param coordShortAddr The coordinator assigned short address through which this
+     * @param coordShortAddr The coordinator assigned short address through which this
      *                       device or coordinator is associated.
      *                       [FF:FF] address indicates that the value is unknown.
      *                       [FF:FE] indicates that the associated coordinator is using only
      *                       its extended address.
      *
      *
-     * \param assignedShortAddr The assigned short address for this device.
+     * @param assignedShortAddr The assigned short address for this device.
      *                          [FF:FF] address indicates that the device have no short address
      *                                  and is not associated.
      *                          [FF:FE] address indicates that the devices has associated but
@@ -188,8 +188,8 @@
      * NetDevice. This callback will in turn use the ReceiveCallback set by
      * SetReceiveCallback() to notify upper layers.
      *
-     * \param params 802.15.4 specific parameters, including source and destination addresses
-     * \param pkt the packet do be delivered
+     * @param params 802.15.4 specific parameters, including source and destination addresses
+     * @param pkt the packet do be delivered
      */
     void McpsDataIndication(McpsDataIndicationParams params, Ptr<Packet> pkt);
 
@@ -197,8 +197,8 @@
      * Assign a fixed random variable stream number to the random variables
      * used by this model.  Return the number of streams that have been assigned.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream);
 
@@ -220,7 +220,7 @@
     /**
      * Attribute accessor method for the "Channel" attribute.
      *
-     * \return the channel to which this NetDevice is attached
+     * @return the channel to which this NetDevice is attached
      */
     Ptr<SpectrumChannel> DoGetChannel() const;
 
@@ -242,9 +242,9 @@
      *
      * As a consequence, here we set it to 1.
      *
-     * \param panId The PanID
-     * \param shortAddr The Short MAC address
-     * \return a Pseudo-Mac48Address
+     * @param panId The PanID
+     * @param shortAddr The Short MAC address
+     * @return a Pseudo-Mac48Address
      */
     Mac48Address BuildPseudoMacAddress(uint16_t panId, Mac16Address shortAddr) const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lr-wpan/model/lr-wpan-phy.cc ns-3.44/src/lr-wpan/model/lr-wpan-phy.cc
--- ns-3.43/src/lr-wpan/model/lr-wpan-phy.cc	2024-10-09 16:41:09.900656000 -0700
+++ ns-3.44/src/lr-wpan/model/lr-wpan-phy.cc	2025-03-09 16:55:49.419371100 -0700
@@ -16,21 +16,21 @@
 #include "lr-wpan-spectrum-signal-parameters.h"
 #include "lr-wpan-spectrum-value-helper.h"
 
-#include <ns3/abort.h>
-#include <ns3/antenna-model.h>
-#include <ns3/double.h>
-#include <ns3/error-model.h>
-#include <ns3/log.h>
-#include <ns3/mobility-model.h>
-#include <ns3/net-device.h>
-#include <ns3/node.h>
-#include <ns3/packet-burst.h>
-#include <ns3/packet.h>
-#include <ns3/pointer.h>
-#include <ns3/random-variable-stream.h>
-#include <ns3/simulator.h>
-#include <ns3/spectrum-channel.h>
-#include <ns3/spectrum-value.h>
+#include "ns3/abort.h"
+#include "ns3/antenna-model.h"
+#include "ns3/double.h"
+#include "ns3/error-model.h"
+#include "ns3/log.h"
+#include "ns3/mobility-model.h"
+#include "ns3/net-device.h"
+#include "ns3/node.h"
+#include "ns3/packet-burst.h"
+#include "ns3/packet.h"
+#include "ns3/pointer.h"
+#include "ns3/random-variable-stream.h"
+#include "ns3/simulator.h"
+#include "ns3/spectrum-channel.h"
+#include "ns3/spectrum-value.h"
 
 namespace ns3
 {
@@ -123,14 +123,14 @@
         break;
     }
     return os;
-};
+}
 
 std::ostream&
 operator<<(std::ostream& os, const TracedValue<PhyEnumeration>& state)
 {
     PhyEnumeration s = state;
     return os << s;
-};
+}
 
 TypeId
 LrWpanPhy::GetTypeId()
@@ -1705,8 +1705,8 @@
     }
 
     m_edPower.averagePower = 0.0;
-    m_edPower.lastUpdate = Seconds(0.0);
-    m_edPower.measurementLength = Seconds(0.0);
+    m_edPower.lastUpdate = Seconds(0);
+    m_edPower.measurementLength = Seconds(0);
 
     // TODO: Change the limits  Rx sensitivity when other modulations are supported
     // Currently, only O-QPSK 250kbps is supported and its maximum possible sensitivity is
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lr-wpan/model/lr-wpan-phy.h ns-3.44/src/lr-wpan/model/lr-wpan-phy.h
--- ns-3.43/src/lr-wpan/model/lr-wpan-phy.h	2024-10-09 16:41:09.900656000 -0700
+++ ns-3.44/src/lr-wpan/model/lr-wpan-phy.h	2025-03-09 16:55:49.419371100 -0700
@@ -12,10 +12,10 @@
 
 #include "lr-wpan-interference-helper.h"
 
-#include <ns3/event-id.h>
-#include <ns3/spectrum-phy.h>
-#include <ns3/traced-callback.h>
-#include <ns3/traced-value.h>
+#include "ns3/event-id.h"
+#include "ns3/spectrum-phy.h"
+#include "ns3/traced-callback.h"
+#include "ns3/traced-value.h"
 
 #include <iostream>
 
@@ -39,7 +39,7 @@
 struct LrWpanSpectrumSignalParameters;
 
 /**
- * \ingroup lr-wpan
+ * @ingroup lr-wpan
  *
  * Helper structure to manage the power measurement during ED.
  */
@@ -51,7 +51,7 @@
 };
 
 /**
- * \ingroup lr-wpan
+ * @ingroup lr-wpan
  *
  * This data structure provides the Bit rate and Symbol rate for a given channel
  * See IEEE802.15.4-2006 Table 1 and 2 in section 6.1.1 and 6.1.2
@@ -63,7 +63,7 @@
 };
 
 /**
- * \ingroup lr-wpan
+ * @ingroup lr-wpan
  *
  * This data structure provides number of symbols for the PPDU headers: SHR and PHR
  * See IEEE802.15.4-2006 Figure 16, Table 19 and 20 in section 6.3
@@ -76,7 +76,7 @@
 };
 
 /**
- * \ingroup lr-wpan
+ * @ingroup lr-wpan
  *
  * This Phy option will be used to index various Tables in IEEE802.15.4-2011
  */
@@ -95,7 +95,7 @@
 };
 
 /**
- * \ingroup lr-wpan
+ * @ingroup lr-wpan
  *
  * IEEE802.15.4-2006 PHY Emumerations Table 18
  * in section 6.2.3
@@ -120,35 +120,35 @@
 /**
  *  Overloaded operator to print the value of a PhyEnumeration.
  *
- *  \param os The output stream
- *  \param state The text value of the PHY state
- *  \return The output stream with text value of the PHY state
+ *  @param os The output stream
+ *  @param state The text value of the PHY state
+ *  @return The output stream with text value of the PHY state
  */
 std::ostream& operator<<(std::ostream& os, const PhyEnumeration& state);
 
 /**
  *  Overloaded operator to print the value of a TracedValue<PhyEnumeration>.
  *
- *  \param os The output stream
- *  \param state The text value of the PHY state
- *  \return The output stream with text value of the PHY state
+ *  @param os The output stream
+ *  @param state The text value of the PHY state
+ *  @return The output stream with text value of the PHY state
  */
 std::ostream& operator<<(std::ostream& os, const TracedValue<PhyEnumeration>& state);
 
 namespace TracedValueCallback
 {
 /**
- * \ingroup lr-wpan
+ * @ingroup lr-wpan
  * TracedValue callback signature for PhyEnumeration.
  *
- * \param [in] oldValue original value of the traced variable
- * \param [in] newValue new value of the traced variable
+ * @param [in] oldValue original value of the traced variable
+ * @param [in] newValue new value of the traced variable
  */
 typedef void (*PhyEnumeration)(PhyEnumeration oldValue, PhyEnumeration newValue);
 } // namespace TracedValueCallback
 
 /**
- * \ingroup lr-wpan
+ * @ingroup lr-wpan
  *
  * IEEE802.15.4-2006 PHY PIB Attribute Identifiers Table 23 in section 6.4.2
  */
@@ -165,7 +165,7 @@
 };
 
 /**
- * \ingroup lr-wpan
+ * @ingroup lr-wpan
  *
  * IEEE802.15.4-2006 PHY PIB Attributes Table 23 in section 6.4.2
  */
@@ -184,18 +184,18 @@
 };
 
 /**
- * \ingroup lr-wpan
+ * @ingroup lr-wpan
  *
  * This method implements the PD SAP: PdDataIndication
  *
- * \param psduLength number of bytes in the PSDU
- * \param p the packet to be transmitted
- * \param lqi Link quality (LQI) value measured during reception of the PPDU
+ * @param psduLength number of bytes in the PSDU
+ * @param p the packet to be transmitted
+ * @param lqi Link quality (LQI) value measured during reception of the PPDU
  */
 typedef Callback<void, uint32_t, Ptr<Packet>, uint8_t> PdDataIndicationCallback;
 
 /**
- * \ingroup lr-wpan
+ * @ingroup lr-wpan
  *
  * This method implements the PD SAP: PdDataConfirm
  *
@@ -204,7 +204,7 @@
 typedef Callback<void, PhyEnumeration> PdDataConfirmCallback;
 
 /**
- * \ingroup lr-wpan
+ * @ingroup lr-wpan
  *
  * This method implements the PD SAP: PlmeCcaConfirm
  *
@@ -213,7 +213,7 @@
 typedef Callback<void, PhyEnumeration> PlmeCcaConfirmCallback;
 
 /**
- * \ingroup lr-wpan
+ * @ingroup lr-wpan
  *
  * This method implements the PD SAP: PlmeEdConfirm
  *
@@ -223,7 +223,7 @@
 typedef Callback<void, PhyEnumeration, uint8_t> PlmeEdConfirmCallback;
 
 /**
- * \ingroup lr-wpan
+ * @ingroup lr-wpan
  *
  * This method implements the PD SAP: PlmeGetAttributeConfirm
  *
@@ -235,7 +235,7 @@
     PlmeGetAttributeConfirmCallback;
 
 /**
- * \ingroup lr-wpan
+ * @ingroup lr-wpan
  *
  * This method implements the PD SAP: PlmeSetTRXStateConfirm
  *
@@ -244,7 +244,7 @@
 typedef Callback<void, PhyEnumeration> PlmeSetTRXStateConfirmCallback;
 
 /**
- * \ingroup lr-wpan
+ * @ingroup lr-wpan
  *
  * This method implements the PD SAP: PlmeSetAttributeConfirm
  *
@@ -254,7 +254,7 @@
 typedef Callback<void, PhyEnumeration, PhyPibAttributeIdentifier> PlmeSetAttributeConfirmCallback;
 
 /**
- * \ingroup lr-wpan
+ * @ingroup lr-wpan
  *
  * Make LrWpanPhy a SpectrumPhy so we can enable the eventual modeling of
  * device interference
@@ -265,7 +265,7 @@
     /**
      * Get the type ID.
      *
-     * \return the object TypeId
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -283,7 +283,7 @@
     /**
      * Get the currently attached channel.
      *
-     * \return the channel
+     * @return the channel
      */
     Ptr<SpectrumChannel> GetChannel();
     void SetDevice(Ptr<NetDevice> d) override;
@@ -292,7 +292,7 @@
     /**
      * Set the attached antenna.
      *
-     * \param a the antenna
+     * @param a the antenna
      */
     void SetAntenna(Ptr<AntennaModel> a);
     Ptr<Object> GetAntenna() const override;
@@ -337,14 +337,14 @@
      * is -106.58 dBm (This does not include any noise figure).
      * A sensitivity of -95dBm or less is considered by many vendors a high sensitivity.
      *
-     * \param dbmSensitivity The receiver power sensitivity to set in dBm.
+     * @param dbmSensitivity The receiver power sensitivity to set in dBm.
      */
     void SetRxSensitivity(double dbmSensitivity);
 
     /**
      * Get the receiver power sensitivity used by this device in dBm.
      *
-     * \return The receiver power sensitivity used by this device in dBm.
+     * @return The receiver power sensitivity used by this device in dBm.
      */
     double GetRxSensitivity();
 
@@ -359,8 +359,8 @@
      * IEEE 802.15.4-2006 section 6.2.1.1
      * PD-DATA.request
      * Request to transfer MPDU from MAC (transmitting)
-     * \param psduLength number of bytes in the PSDU
-     * \param p the packet to be transmitted
+     * @param psduLength number of bytes in the PSDU
+     * @param p the packet to be transmitted
      */
     void PdDataRequest(const uint32_t psduLength, Ptr<Packet> p);
 
@@ -387,7 +387,7 @@
      * IEEE 802.15.4-2006 section 6.2.2.5
      * PLME-GET.request
      * Get attributes per definition from Table 23 in section 6.4.2
-     * \param id the attributed identifier
+     * @param id the attributed identifier
      */
     void PlmeGetAttributeRequest(PhyPibAttributeIdentifier id);
 
@@ -395,7 +395,7 @@
      * IEEE 802.15.4-2006 section 6.2.2.7
      * PLME-SET-TRX-STATE.request
      * Set PHY state
-     * \param state in RX_ON,TRX_OFF,FORCE_TRX_OFF,TX_ON
+     * @param state in RX_ON,TRX_OFF,FORCE_TRX_OFF,TX_ON
      */
     void PlmeSetTRXStateRequest(PhyEnumeration state);
 
@@ -403,8 +403,8 @@
      * IEEE 802.15.4-2006 section 6.2.2.9
      * PLME-SET.request
      * Set attributes per definition from Table 23 in section 6.4.2
-     * \param id the attributed identifier
-     * \param attribute the attribute value
+     * @param id the attributed identifier
+     * @param attribute the attribute value
      */
     void PlmeSetAttributeRequest(PhyPibAttributeIdentifier id, Ptr<PhyPibAttributes> attribute);
 
@@ -412,7 +412,7 @@
      * set the callback for the end of a RX, as part of the
      * interconnections between the PHY and the MAC. The callback
      * implements PD Indication SAP.
-     * \param c the callback
+     * @param c the callback
      */
     void SetPdDataIndicationCallback(PdDataIndicationCallback c);
 
@@ -420,7 +420,7 @@
      * set the callback for the end of a TX, as part of the
      * interconnections between the PHY and the MAC. The callback
      * implements PD SAP.
-     * \param c the callback
+     * @param c the callback
      */
     void SetPdDataConfirmCallback(PdDataConfirmCallback c);
 
@@ -428,7 +428,7 @@
      * set the callback for the end of a CCA, as part of the
      * interconnections between the PHY and the MAC. The callback
      * implement PLME CCA confirm SAP
-     * \param c the callback
+     * @param c the callback
      */
     void SetPlmeCcaConfirmCallback(PlmeCcaConfirmCallback c);
 
@@ -436,7 +436,7 @@
      * set the callback for the end of an ED, as part of the
      * interconnections between the PHY and the MAC. The callback
      * implement PLME ED confirm SAP
-     * \param c the callback
+     * @param c the callback
      */
     void SetPlmeEdConfirmCallback(PlmeEdConfirmCallback c);
 
@@ -444,7 +444,7 @@
      * set the callback for the end of an GetAttribute, as part of the
      * interconnections between the PHY and the MAC. The callback
      * implement PLME GetAttribute confirm SAP
-     * \param c the callback
+     * @param c the callback
      */
     void SetPlmeGetAttributeConfirmCallback(PlmeGetAttributeConfirmCallback c);
 
@@ -452,7 +452,7 @@
      * set the callback for the end of an SetTRXState, as part of the
      * interconnections between the PHY and the MAC. The callback
      * implement PLME SetTRXState confirm SAP
-     * \param c the callback
+     * @param c the callback
      */
     void SetPlmeSetTRXStateConfirmCallback(PlmeSetTRXStateConfirmCallback c);
 
@@ -460,43 +460,43 @@
      * set the callback for the end of an SetAttribute, as part of the
      * interconnections between the PHY and the MAC. The callback
      * implement PLME SetAttribute confirm SAP
-     * \param c the callback
+     * @param c the callback
      */
     void SetPlmeSetAttributeConfirmCallback(PlmeSetAttributeConfirmCallback c);
 
     /**
      * Get The current channel page number in use in this PHY from the PIB attributes.
      *
-     * \return The current page number
+     * @return The current page number
      */
     uint8_t GetCurrentPage() const;
 
     /**
      * Get The current channel number in use in this PHY from the PIB attributes.
      *
-     * \return The current channel number
+     * @return The current channel number
      */
     uint8_t GetCurrentChannelNum() const;
 
     /**
      * implement PLME SetAttribute confirm SAP
      * bit rate is in bit/s.  Symbol rate is in symbol/s.
-     * \param isData is true for data rate or false for symbol rate
-     * \return the rate value of this PHY
+     * @param isData is true for data rate or false for symbol rate
+     * @return the rate value of this PHY
      */
     double GetDataOrSymbolRate(bool isData);
 
     /**
      * set the error model to use
      *
-     * \param e pointer to LrWpanErrorModel to use
+     * @param e pointer to LrWpanErrorModel to use
      */
     void SetErrorModel(Ptr<LrWpanErrorModel> e);
 
     /**
      * get the error model in use
      *
-     * \return pointer to LrWpanErrorModel in use
+     * @return pointer to LrWpanErrorModel in use
      */
     Ptr<LrWpanErrorModel> GetErrorModel() const;
 
@@ -509,7 +509,7 @@
      * is typically used to force specific packet losses or
      * for testing purposes.
      *
-     * \param em Pointer to the ErrorModel.
+     * @param em Pointer to the ErrorModel.
      */
     void SetPostReceptionErrorModel(const Ptr<ErrorModel> em);
 
@@ -517,7 +517,7 @@
      * Get the duration of the SHR (preamble and SFD) in symbols, depending on
      * the currently selected channel.
      *
-     * \return the SHR duration in symbols
+     * @return the SHR duration in symbols
      */
     uint64_t GetPhySHRDuration() const;
 
@@ -525,7 +525,7 @@
      * Get the number of symbols per octet, depending on the currently selected
      * channel.
      *
-     * \return the number of symbols per octet
+     * @return the number of symbols per octet
      */
     double GetPhySymbolsPerOctet() const;
 
@@ -533,7 +533,7 @@
      * Get the current accumulated sum of signals in the transceiver including
      * signals considered as interference.
      *
-     * \return the accumulated signal power spectral density value in Dbm.
+     * @return the accumulated signal power spectral density value in Dbm.
      */
     double GetCurrentSignalPsd();
 
@@ -541,18 +541,18 @@
      * Assign a fixed random variable stream number to the random variables
      * used by this model.  Return the number of streams that have been assigned.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream);
 
     /**
      * TracedCallback signature for Trx state change events.
      *
-     * \param [in] time The time of the state change.
-     * \param [in] oldState The old state.
-     * \param [in] newState The new state.
-     * \deprecated The LrWpanPhyEnumeration state is now accessible as the
+     * @param [in] time The time of the state change.
+     * @param [in] oldState The old state.
+     * @param [in] newState The new state.
+     * @deprecated The LrWpanPhyEnumeration state is now accessible as the
      * TracedValue \c TrxStateValue.  The \c TrxState TracedCallback will
      * be removed in a future release.
      */
@@ -574,7 +574,7 @@
     /**
      * Change the PHY state to the given new state, firing the state change trace.
      *
-     * \param newState the new state
+     * @param newState the new state
      */
     void ChangeTrxState(PhyEnumeration newState);
 
@@ -582,7 +582,7 @@
      * Get the currently configured PHY option.
      * See IEEE 802.15.4-2006, section 6.1.2, Table 2.
      *
-     * \return the PHY option
+     * @return the PHY option
      */
     PhyOption GetMyPhyOption();
 
@@ -607,7 +607,7 @@
      * This method is also called for every packet which only contributes to
      * interference.
      *
-     * \param params signal parameters of the packet
+     * @param params signal parameters of the packet
      */
     void EndRx(Ptr<SpectrumSignalParameters> params);
 
@@ -616,7 +616,7 @@
      * switched off or set to TX mode. This calls the appropriate confirm callback
      * of the MAC.
      *
-     * \param state the new state which is the cause for canceling ED
+     * @param state the new state which is the cause for canceling ED
      */
     void CancelEd(PhyEnumeration state);
 
@@ -642,31 +642,31 @@
      * Calculate the time required for sending the given packet, including
      * preamble, SFD and PHR.
      *
-     * \param packet the packet for which the transmission time should be calculated
-     * \return the time required for transmitting the packet
+     * @param packet the packet for which the transmission time should be calculated
+     * @return the time required for transmitting the packet
      */
     Time CalculateTxTime(Ptr<const Packet> packet);
 
     /**
      * Calculate the time required for sending the PPDU header, that is the
      * preamble, SFD and PHR.
-     * \returns The time required for sending the PPDU header.
+     * @returns The time required for sending the PPDU header.
      */
     Time GetPpduHeaderTxTime();
 
     /**
      * Check if the given channel is supported by the PHY.
      *
-     * \param channel the channel to check
-     * \return true, if the channel is supported, false otherwise
+     * @param channel the channel to check
+     * @return true, if the channel is supported, false otherwise
      */
     bool ChannelSupported(uint8_t channel);
 
     /**
      * Check if the given page is supported by the PHY.
      *
-     * \param page the page to check
-     * \return true, if the page is supported, false otherwise
+     * @param page the page to check
+     * @return true, if the page is supported, false otherwise
      */
     bool PageSupported(uint8_t page);
 
@@ -674,7 +674,7 @@
      * Check if the PHY is busy, which is the case if the PHY is currently sending
      * or receiving a frame.
      *
-     * \return true, if the PHY is busy, false otherwise
+     * @return true, if the PHY is busy, false otherwise
      */
     bool PhyIsBusy() const;
 
@@ -683,7 +683,7 @@
      * The trace source fired when a packet begins the transmission process on
      * the medium.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_phyTxBeginTrace;
 
@@ -691,7 +691,7 @@
      * The trace source fired when a packet ends the transmission process on
      * the medium.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_phyTxEndTrace;
 
@@ -699,7 +699,7 @@
      * The trace source fired when the phy layer drops a packet as it tries
      * to transmit it.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_phyTxDropTrace;
 
@@ -707,7 +707,7 @@
      * The trace source fired when a packet begins the reception process from
      * the medium.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_phyRxBeginTrace;
 
@@ -718,7 +718,7 @@
      * a complete packet or a packet that is later on dropped because of interference,
      * cancellation or post-rx corruption. Second quantity is the received SINR (LQI).
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>, double> m_phyRxEndTrace;
 
@@ -727,15 +727,15 @@
      * (Destruction of a packet due to interference, post-rx corruption or
      *  cancellation of packet rx)
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_phyRxDropTrace;
 
     /**
      * The trace source fired when the phy layer changes the transceiver state.
      *
-     * \see class CallBackTraceSource
-     * \deprecated The PhyEnumeration state is now accessible as the
+     * @see class CallBackTraceSource
+     * @deprecated The PhyEnumeration state is now accessible as the
      * TracedValue \c TrxStateValue.  This TracedCallback will
      * be removed in a future release.
      */
@@ -755,24 +755,24 @@
      * This function extracts the 6 LSBs corresponding to the nominal transmit power and
      * converts it to a `int8_t`.
      *
-     * \param phyTransmitPower the PIB attribute
-     * \return The nominal transmit power in dBm.
+     * @param phyTransmitPower the PIB attribute
+     * @return The nominal transmit power in dBm.
      */
     int8_t GetNominalTxPowerFromPib(uint8_t phyTransmitPower);
 
     /**
      * Transform watts (W) to decibels milliwatts (dBm).
      *
-     * \param watt The Watts that will be converted to dBm.
-     * \return The value of Watts in dBm.
+     * @param watt The Watts that will be converted to dBm.
+     * @return The value of Watts in dBm.
      */
     double WToDbm(double watt);
 
     /**
      * Transforms decibels milliwatts (dBm) to watts (W).
      *
-     * \param dbm The DBm that will be converted to Watts.
-     * \return The value of DBm in Watts.
+     * @param dbm The DBm that will be converted to Watts.
+     * @return The value of DBm in Watts.
      */
     double DbmToW(double dbm);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lr-wpan/model/lr-wpan-spectrum-signal-parameters.cc ns-3.44/src/lr-wpan/model/lr-wpan-spectrum-signal-parameters.cc
--- ns-3.43/src/lr-wpan/model/lr-wpan-spectrum-signal-parameters.cc	2024-10-09 16:41:09.900656000 -0700
+++ ns-3.44/src/lr-wpan/model/lr-wpan-spectrum-signal-parameters.cc	2025-03-09 16:55:49.419371100 -0700
@@ -7,8 +7,8 @@
  */
 #include "lr-wpan-spectrum-signal-parameters.h"
 
-#include <ns3/log.h>
-#include <ns3/packet-burst.h>
+#include "ns3/log.h"
+#include "ns3/packet-burst.h"
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lr-wpan/model/lr-wpan-spectrum-signal-parameters.h ns-3.44/src/lr-wpan/model/lr-wpan-spectrum-signal-parameters.h
--- ns-3.43/src/lr-wpan/model/lr-wpan-spectrum-signal-parameters.h	2024-10-09 16:41:09.900656000 -0700
+++ ns-3.44/src/lr-wpan/model/lr-wpan-spectrum-signal-parameters.h	2025-03-09 16:55:49.419371100 -0700
@@ -9,7 +9,7 @@
 #ifndef LR_WPAN_SPECTRUM_SIGNAL_PARAMETERS_H
 #define LR_WPAN_SPECTRUM_SIGNAL_PARAMETERS_H
 
-#include <ns3/spectrum-signal-parameters.h>
+#include "ns3/spectrum-signal-parameters.h"
 
 namespace ns3
 {
@@ -20,7 +20,7 @@
 {
 
 /**
- * \ingroup lr-wpan
+ * @ingroup lr-wpan
  *
  * Signal parameters for LrWpan.
  */
@@ -35,7 +35,7 @@
 
     /**
      * copy constructor
-     * \param p the object to copy from.
+     * @param p the object to copy from.
      */
     LrWpanSpectrumSignalParameters(const LrWpanSpectrumSignalParameters& p);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lr-wpan/model/lr-wpan-spectrum-value-helper.cc ns-3.44/src/lr-wpan/model/lr-wpan-spectrum-value-helper.cc
--- ns-3.43/src/lr-wpan/model/lr-wpan-spectrum-value-helper.cc	2024-10-09 16:41:09.900656000 -0700
+++ ns-3.44/src/lr-wpan/model/lr-wpan-spectrum-value-helper.cc	2025-03-09 16:55:49.419371100 -0700
@@ -7,8 +7,8 @@
  */
 #include "lr-wpan-spectrum-value-helper.h"
 
-#include <ns3/log.h>
-#include <ns3/spectrum-value.h>
+#include "ns3/log.h"
+#include "ns3/spectrum-value.h"
 
 #include <cmath>
 
@@ -23,8 +23,8 @@
     g_LrWpanSpectrumModel; //!< Global object used to initialize the LrWpan Spectrum Model
 
 /**
- * \ingroup lr-wpan
- * \brief Helper class used to automatically initialize the LrWpan Spectrum Model objects
+ * @ingroup lr-wpan
+ * @brief Helper class used to automatically initialize the LrWpan Spectrum Model objects
  */
 class LrWpanSpectrumModelInitializer
 {
